Skip to content

Toggle Email Comment Resolution

POST
/api/v1/workspaces/{workspace_id}/emails/{email_id}/email_comments/{email_comment_id}/toggle_resolution
curl --request POST \
--url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/email_comments/1/toggle_resolution \
--header 'Authorization: Bearer <token>'

Toggles the resolution status of an email comment.

workspace_id
required
integer

Workspace ID

email_id
required
integer

Email ID

email_comment_id
required
integer

Email Comment ID

Successful

Media typeapplication/json
object
id
required
integer
email_id
required
integer
ai_review_id
required
integer | null
locale
required

A BCP 47 language tag identifying the language and region of a piece of content. Must carry both a language and a region subtag, and must be in canonical case (lowercase language, titlecase script, uppercase region) — en-GB, not en-gb or en_GB. The region may be a UN M.49 code, so en-001 (world) is valid.

string
author_type
string
Allowed values: User AiReviewer
author
required
One of:
One of:
object
type
required
string
Allowed values: User
id
required
integer
first_name
required
string
last_name
required
string
profile_image_url
required
string | null
parent_id
required
integer | null
pin_data
required
One of:
object
id
required
string
component_instance_id
string
branch_key
string
coordinates
required
object
center_offset_x_px
required

The horizontal offset of the pin from the center of the component, in pixels.

number
y
required

The vertical position of the pin, as a percentage (0–1) from the top of the component.

number
body
required
string
resolved
required
boolean
resolver_id
required
integer | null
resolver
required
One of:
One of:
object
type
required
string
Allowed values: User
id
required
integer
first_name
required
string
last_name
required
string
profile_image_url
required
string | null
created_at
required
string format: date-time
Example
{
"id": 12345,
"email_id": 12345,
"ai_review_id": 54321,
"locale": "en-GB",
"author_type": "User",
"author": {
"type": "User",
"id": 12345,
"first_name": "John",
"last_name": "Smith",
"profile_image_url": "https://example.com/profile.jpg"
},
"parent_id": 12345,
"pin_data": {
"id": "12345",
"component_instance_id": "12345",
"branch_key": "a_branch_key",
"coordinates": {
"center_offset_x_px": 0.5,
"y": 0.5
}
},
"body": "This is a comment",
"resolved": false,
"resolver_id": 12345,
"resolver": {
"type": "User",
"id": 12345,
"first_name": "John",
"last_name": "Smith",
"profile_image_url": "https://example.com/profile.jpg"
},
"created_at": "2023-08-23T10:30:00.000Z"
}

Unauthorized

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Forbidden

Media typeapplication/json
object
message
required
string
Example
{
"message": "Record not found"
}

Unprocessable Entity

Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}